Skip to main content
GET
/
api
/
v1
/
analyst
/
insights
Analyst Insights V1
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/analyst/insights?token='
{
  "analyst-insights": [
    {
      "action": "Maintains",
      "analyst_id": "60a7f5e8e4b0f5a3c8e9f5b8",
      "analyst_insights": "Strong fundamentals support higher valuation",
      "date": "2024-01-09",
      "firm": "Goldman Sachs",
      "firm_id": "60a7f5e8e4b0f5a3c8e9f5b7",
      "id": "60a7f5e8e4b0f5a3c8e9f5b6",
      "pt": "200.00",
      "rating": "Buy",
      "rating_id": "60a7f5e8e4b0f5a3c8e9f5b9",
      "security": {
        "cik": "320193",
        "exchange": "NASDAQ",
        "isin": "US0378331005",
        "name": "Apple Inc.",
        "symbol": "AAPL"
      },
      "updated": 1704819600
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0

pageSize
integer
default:100

Number of results returned. Limit 1000

date
string<date>

Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest

date_from
string<date>

Start date in YYYY-MM-DD format

date_to
string<date>

End date in YYYY-MM-DD format

symbols
string<csv>

One or more ticker symbols separated by a comma. Maximum 50 tickers

analyst
string

Analyst

rating_id
string

Rating ID

search_keys_type
enum<string>

Search keys type

Available options:
firm_id,
firm,
analyst_id,
analyst_name
search_keys
string

Search keys

sort
enum<string>

Field to sort by, format: field:order (e.g., date:asc). Defaults to desc.

Available options:
date
parameters[updated]
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

Response

Analyst Insights

API response containing an array of analyst insights

analyst-insights
object[]